diff --git a/sshfs.c b/sshfs.c
index ad8192cd..676fd586 100644
--- a/sshfs.c
+++ b/sshfs.c
@@ -3798,6 +3798,16 @@ static int sshfs_opt_proc(void *data, const char *arg, int key,
 				sshfs.mountpoint = strdup(arg);
 			} else {
 				sshfs.mountpoint = realpath(arg, NULL);
+#ifdef __APPLE__
+				if (!sshfs.mountpoint) {
+					/*
+					 * The mountpoint does not exist, yet.
+					 * macFUSE will try to create it before
+					 * mounting the volume.
+					 */
+					sshfs.mountpoint = strdup(arg);
+				}
+#endif
 			}
 #endif
 			if (!sshfs.mountpoint) {
